/*
	File: ZVBDlg.h
	Author: Raja
	Date: Jan 16, 1996

	ZVBDialog inherits from CDialog and supports one
	additional functionality: VBX Events are first given back to the
	controls to give first crack at processing.
*/

#ifndef __ZVBDialog__
#define __ZVBDialog__

#include "afxpriv.h"

class ZVBDialog : public CDialog
{
// Construction
public:
	ZVBDialog (UINT nID, CWnd *pParent = NULL) :
					CDialog (nID, pParent) { }
	ZVBDialog (LPCSTR lpszTemplateName, CWnd *pParent = NULL) :
					CDialog (lpszTemplateName, pParent) { }
protected:
	ZVBDialog () : CDialog () {}

protected:
	afx_msg LRESULT OnVBXEvent (WPARAM wParam, LPARAM lParam);
	
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC (ZVBDialog)
};

#endif // __ZVBDialog__
